openSUSE Security Update : php5-pear-mail (openSUSE-SU-2010:0909-1)

This script is Copyright (C) 2010-2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

Passing specially crafted $from and $recepient arguments to
php5-pear-mail's sendmail.php allowed attackers to inject shell code
(CVE-2009-4023, CVE-2009-4111).

See also :

http://lists.opensuse.org/opensuse-updates/2010-10/msg00038.html
https://bugzilla.novell.com/show_bug.cgi?id=558259
https://bugzilla.novell.com/show_bug.cgi?id=630334

Solution :

Update the affected php5-pear-mail package.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 50369 ()

Bugtraq ID:

CVE ID: CVE-2009-4023
CVE-2009-4111

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now